
Redmine - Feature #30822

Show Gravatar icons in email notifications

2019-02-18 03:36 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Currently, Gravatar icons are shown in Web UI when Setting.gravatar_enabled? is true but not shown at all in email notifications.

Icons are really useful to quickly understand the author, assignee, and the user who updated the issue. I think it would be a nice

improvement of UX if Gravatar icons are shown in emails as well.

History

#1 - 2019-03-20 06:16 - Mizuki ISHIKAWA

- File mail_with_gravatar_icon.png added

- File feature-30822.patch added

I attached a patch to realize this feature.

html mail:

 mail_with_gravatar_icon.png 

#2 - 2019-03-20 06:37 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2019-05-06 12:04 - Go MAEDA

Mizuki ISHIKAWA wrote:

I attached a patch to realize this feature.

 Thanks. Do you think it is possible to move the style for the icon from app/helpers/application_helper.rb to app/views/layouts/mailer.html.erb, instead

of using inline styles?

Files

mail_with_gravatar_icon.png 59.1 KB 2019-03-20 Mizuki ISHIKAWA

feature-30822.patch 6.73 KB 2019-03-20 Mizuki ISHIKAWA
